### Signal

# Json Parser::array-start

deprecated: 1.10

#### Declaration

    void
    array_start (
      JsonParser* self,
      gpointer user_data
    )

#### Description [src]

The `::array-start` signal is emitted each time a parser starts parsing a JSON array.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 1.10
Derive your own parser type from `JsonParser` and override the `Json.ParserClass.array_start` virtual function.